{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.clam.launch": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "before_open": "query.property('silverlabs_nat:before_open')"
            }
          ]
        },
        "before_open": {
          "on_entry": [
            "/scriptevent silverlabs_nat:clam_launch"
          ],
          "transitions": [
            {
              "default": "!query.property('silverlabs_nat:before_open')"
            }
          ]
        }
      }
    },
    "controller.animation.silverlabs_nat.clam.took_item": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "has_item": "query.property('silverlabs_nat:has_item')"
            }
          ]
        },
        "has_item": {
          "transitions": [
            {
              "took_item": "query.property('silverlabs_nat:took_item')"
            }
          ]
        },
        "took_item": {
          "on_entry": [
            "/replaceitem entity @s slot.weapon.mainhand 0 minecraft:air"
          ]
        }
      }
    }
  }
}
